package com.engine.organization.entity.chart;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2023/06/30
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ChartPO {
    private String fname;
    /**
     * 0:集团,1:分部,2:部门
     */
    private String ftype;
    private String fnumber;
    private String fobjid;
    private String parentId;
    private String expand;
    private String fisvitual;
    private String hasChildren;

    private String id;

    public String getId() {
        if (StringUtils.isNotBlank(ftype)) {
            switch (ftype) {
                case "0":
                    id = "c_" + fobjid;
                    break;
                case "1":
                    id = "s_" + fobjid;
                    break;
                case "2":
                    id = "d_" + fobjid;
                    break;
                default:
                    break;
            }
        }
        return id;
    }

    public String getFisvitual() {
        return StringUtils.isBlank(fisvitual) ? "0" : fisvitual;
    }
}
